Subject: Re: [PATCHv2 net-next-2.6 0/5] XFRM,IPv6: Removal of RH2/HAO from IPsec-protected MIPv6 traffic

From: [email-masked] (Arnaud Ebalard)
Date: Wed, 29 Sep 2010 11:04:24 +0200

Hi,

David Miller <[email-masked]> writes:

> From: [email-masked] (Arnaud Ebalard)
> Date: Tue, 28 Sep 2010 23:33:16 +0200
>
>> Before following the (dumb) #ifdef path, I was about to do that but
>> worried about the penalty of the additional xfrm_state_get/put_afinfo()
>> calls on each packet I was about to add. Should I just reduce my amount
>> of coffee or is it a valid concern?
>
> Indeed, it is.
>
> Even without the concern of afinfo refcounting, this test is very
> heavy handed for the packet path.
>
> Can you make it small enough that it can reasonably be inlined?

I came up with an idea. A v3 follows; the cover letter details that.

Cheers,

a+